Bug 1573006 - /usr/lib/erlang/bin/erl: /usr/lib/erlang/bin/erl: No such file or directory
Summary: /usr/lib/erlang/bin/erl: /usr/lib/erlang/bin/erl: No such file or directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ejabberd
Version: 29
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-29 17:17 UTC by Randy Barlow
Modified: 2018-09-21 05:26 UTC (History)
4 users (show)

Fixed In Version: ejabberd-18.06-2.fc30 ejabberd-18.06-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-21 05:26:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Randy Barlow 2018-04-29 17:17:34 UTC
ejabberd does not start on Rawhide due to using the wrong path for erlang's erl executable:

sh-4.4# /usr/bin/ejabberdctl start --config /etc/ejabberd/ejabberd.yml --ctl-config /etc/ejabberd/ejabberdctl.cfg --logs "/var/log/ejabberd" --spool "/var/lib/ejabberd"
/usr/lib/erlang/bin/erl: /usr/lib/erlang/bin/erl: No such file or directory

Comment 2 Randy Barlow 2018-08-24 21:52:11 UTC
Somehow this came back and seems to affect Fedora 29:

Aug 24 17:46:48 systemd[1]: Starting A distributed, fault-tolerant Jabber/XMPP server...
Aug 24 17:46:48 ejabberdctl[7387]: /usr/bin/ejabberdctl: line 112: /usr/lib/erlang/bin/erl: No such file or directory
Aug 24 17:46:48 systemd[1]: ejabberd.service: Main process exited, code=exited, status=127/n/a
Aug 24 17:46:48 systemd[1]: ejabberd.service: Failed with result 'exit-code'.
Aug 24 17:46:48 systemd[1]: Failed to start A distributed, fault-tolerant Jabber/XMPP server.

Comment 3 Fedora Update System 2018-09-01 14:48:31 UTC
ejabberd-18.06-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3461017027

Comment 4 Fedora Update System 2018-09-02 02:57:35 UTC
ejabberd-18.06-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3461017027

Comment 5 Fedora Update System 2018-09-21 05:26:02 UTC
ejabberd-18.06-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.